Last updated: October 24, 2026
Register Google Authenticator
Register Google Authenticator for a user.
Request
POST
https://test.miniorange.in/moas/api/auth/google-auth-secretAuthentication headers (required on every request)
- Customer-Key
- Integer — your account customer key
- Timestamp
- Milliseconds since epoch (e.g. Date.now())
- Authorization
- SHA-512 of customerKey + timestamp + apiKey
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| customerKey | String | Required | Your customer key |
| username | String | Required | User login name |
| authenticatorType | String | Required | GOOGLE AUTHENTICATOR |
| otpToken | String | Optional | OTP when confirming a secret |